package com.kingdee.eas.custom.synctask;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class SyncTranForIOTFacadeFactory
{
    private SyncTranForIOTFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("C4BFC0BB") ,com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade.class);
    }
    
    public static com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("C4BFC0BB") ,com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("C4BFC0BB"));
    }
    public static com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.synctask.ISyncTranForIOTFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("C4BFC0BB"));
    }
}